Skip to main content
GET
Get

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-11-16.lassen"

Path Parameters

upload_id
string
required

The unique identifier of the upload.

Example:

"upl_123"

Response

200 - application/json

Successfully retrieved the upload.

object
enum<string>
required

The object type, which is always upload.

Available options:
upload
Example:

"upload"

id
string
required

ID of the upload.

Example:

"upl_123"

device_id
string
required

ID of the device that produced the upload.

Example:

"dvc_123"

file_rule_id
string
required

ID of the file rule that produced the upload.

Example:

"file_rule_123"

upload_collection_id
string
required

ID of the upload collection the producing file rule uploads to.

Example:

"upl_col_123"

upload_collection_name
string
required

The name of the upload collection the producing file rule uploads to.

Example:

"Robot Logs"

source
Upload Source · object
required

Source-side details of the file on the device that produced this upload.

Example:
destination
Upload Destination · object
required

Destination-side details of where the file was uploaded.

Example:
digest
string
required

The SHA-256 digest of the uploaded file, formatted as sha256: followed by 64 lowercase hex characters.

Example:

"sha256:9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08"

size
integer<int64>
required

The size of the uploaded file in bytes.

Example:

1048576

status
enum<string>
required

The lifecycle status of an upload in the ledger.

  • pending: a presigned URL has been minted but the device has not yet confirmed a durable write.
  • uploaded: the device confirmed a durable write to the bucket.
Available options:
pending,
uploaded
release_id
string
required

ID of the release the device was on when the upload was produced.

Example:

"rls_123"

deployment_id
string
required

ID of the deployment that was active on the device when the upload was produced.

Example:

"dpl_123"

uploaded_at
string<date-time> | null
required

Timestamp of when the upload was durably confirmed. Null until the upload completes.

Example:

"2021-01-01T00:00:10Z"

created_at
string<date-time>
required

Timestamp of when the upload was created.

Example:

"2021-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the upload was last updated.

Example:

"2021-01-01T00:00:00Z"

bundle_id
string | null
required

ID of the bundle this upload belongs to. Null when the producing file rule does not bundle.

Example:

"upl_bdl_123"